Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.ioc
Class IocPointcut

    java.lang.Object
      org.jboss.aop.pointcut.PointcutExpression
          org.jboss.aspects.ioc.IocPointcut

All Implemented Interfaces:
  org.jboss.aop.pointcut.Pointcut

public class IocPointcut
extends org.jboss.aop.pointcut.PointcutExpression

This overides pointcut to work around a deficiency in the JBoss AOP framework. The construction execution matcher searches to make sure that the IOC interceptor hasn't already been bound to the constructor

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.pointcut.PointcutExpression
`ast, expr, name`

Constructor Summary
`IocPointcut(String name, String expr)`

Method Summary
`boolean` | `matchesCall(org.jboss.aop.ClassAdvisor advisor, AccessibleObject within, Class calledClass, Constructor calledCon)`
`boolean` | `matchesCall(org.jboss.aop.ClassAdvisor advisor, AccessibleObject within, Class calledClass, Method calledMethod)`
`boolean` | `matchesCall(org.jboss.aop.ClassAdvisor callingAdvisor, javassist.expr.MethodCall methodCall)`
`boolean` | `matchesCall(org.jboss.aop.ClassAdvisor callingAdvisor, javassist.expr.NewExpr methodCall)`
`boolean` | `matchesExecution(org.jboss.aop.Advisor advisor, javassist.CtMethod m)`
`boolean` | `matchesExecution(org.jboss.aop.Advisor advisor, Method m)`
`boolean` | `matchesExecution(org.jboss.aop.ClassAdvisor advisor, Constructor c)`
`boolean` | `matchesExecution(org.jboss.aop.ClassAdvisor advisor, javassist.CtConstructor c)`
`boolean` | `matchesGet(org.jboss.aop.ClassAdvisor advisor, javassist.CtField f)`
`boolean` | `matchesGet(org.jboss.aop.ClassAdvisor advisor, Field f)`
`boolean` | `matchesSet(org.jboss.aop.ClassAdvisor advisor, javassist.CtField f)`
`boolean` | `matchesSet(org.jboss.aop.ClassAdvisor advisor, Field f)`

Methods inherited from class org.jboss.aop.pointcut.PointcutExpression
`getExpr, getName, softMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IocPointcut

    public IocPointcut(String name,
                       String expr)
                throws org.jboss.aop.pointcut.ast.ParseException

Method Detail

### matchesExecution

    public boolean matchesExecution(org.jboss.aop.ClassAdvisor advisor,
                                    Constructor c)

### matchesCall

    public boolean matchesCall(org.jboss.aop.ClassAdvisor callingAdvisor,
                               javassist.expr.MethodCall methodCall)
                        throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesCall

    public boolean matchesCall(org.jboss.aop.ClassAdvisor callingAdvisor,
                               javassist.expr.NewExpr methodCall)
                        throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesExecution

    public boolean matchesExecution(org.jboss.aop.Advisor advisor,
                                    Method m)

### matchesGet

    public boolean matchesGet(org.jboss.aop.ClassAdvisor advisor,
                              Field f)

### matchesSet

    public boolean matchesSet(org.jboss.aop.ClassAdvisor advisor,
                              Field f)

### matchesExecution

    public boolean matchesExecution(org.jboss.aop.Advisor advisor,
                                    javassist.CtMethod m)
                             throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesExecution

    public boolean matchesExecution(org.jboss.aop.ClassAdvisor advisor,
                                    javassist.CtConstructor c)
                             throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesGet

    public boolean matchesGet(org.jboss.aop.ClassAdvisor advisor,
                              javassist.CtField f)
                       throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesSet

    public boolean matchesSet(org.jboss.aop.ClassAdvisor advisor,
                              javassist.CtField f)
                       throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesCall

    public boolean matchesCall(org.jboss.aop.ClassAdvisor advisor,
                               AccessibleObject within,
                               Class calledClass,
                               Method calledMethod)

### matchesCall

    public boolean matchesCall(org.jboss.aop.ClassAdvisor advisor,
                               AccessibleObject within,
                               Class calledClass,
                               Constructor calledCon)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.